label hidden_object_forest_end:    
    $ showitems = False
    stop music fadeout 1.0
    play music GRAVEYARD fadein 5.0
    
    scene grave with fade ###Next scene, graveyard
    show chi angry
    ch "Alright, last one."
    ch annoyed "Lessee... 'She hid me in a place that reflects the truth'... 'She hid me here, so that if I'm downed, I take my enemy with me."
    ch sad "Er... Huh."
    if khir_alive: #    ⇒ If Khir is alive, both good and BPE:
        show khir pained behind chi:
            xpos 300
        with easeinright
        show chi normal #at right
        show rattia determined:
            xpos -100
        #show rattia determined at left
        with easeinleft
        
        ch "Hang in there, we're almost done."
        "She patted Major Terra on the arm."
        ch flirty "Don't worry, handsome, we'll get you patched up~"
        show khir sad
        show rattia blank
        "Major Terra just rolled his eyes at her."
        ch "Psh, don't be a kill joy."
        "She looked at me."
        ch "Right, cutie?"
        #show rattia embarrassed
        ra embarrassed "U-um...right."
        
        #hide chi with dissolve
        hide khir with easeoutright
        hide rattia with easeoutleft
        show chi annoyed with dissolve
        show unclean normal at floating:
            xpos -50 xzoom -1
        stop music 
        "Just then, an Uncleaned Spirit showed up to spoil the moment."
        ch angry "Nope, not again!"
        "With that, Chi ran at it and punched with light."
        with vpunch
        with Fade(0.1, 0.0, 0.5, color="#fff") #Fast flash effect
        hide unclean
        play music GRAVEYARD fadein 5.0
        "It immediately fled from her."
        
        show khir surprised behind chi:
            xpos 300
        with easeinright
        show rattia determined:
            xpos -100
        with easeinleft
        
        ra "..."
        kh "..."
        show chi annoyed
        ch "I'm sorry, I'm just really getting sick of this."
        show chi normal
        ch "Shall we?"
        jump hidden_object_grave ###############Jump to Graveyard Item Hunt now
    else: #⇒ If Khir = dead
        show chi sad at right with easeinright
        show rattia blank at left with easeinleft
        ch "Just a little more, Rattia."
        ra "I know. Last one, right? Then we free the Moon, and everything is over."
        ch pained "Uh... Yeah. Don't worry, let's get this over quickly."
        "I nodded."
        ch ". . ."
        jump hidden_object_grave ##########Jump to graveyard item hunt

label hidden_object_grave_end:
    if khir_alive: #    ⇒ If Khir is alive, both good and BPE:
        show khir normal:
            xpos 300
        show chi normal at center
        show rattia normal:
            xpos -100
        with dissolve
            
        ch "Great! We've got all that we need."
        kh pained "Yes. Great. But now what?"
        show rattia blank
        "He sounded pained. I looked at him uncertainty and bit my lip."
        
        ra scared "Maybe you should sit down."
        kh "I would, but listen."
        ra "...I don't...?"
        
        ch annoyed "No, I feel it. The Unclean Spirits are coming this way."
        ch "We don't have much time. The amount of them in one area might attract something worse."
        kh surprised "What could possibly be worse?"
        ch "Just...take my word for it."
        show khir pained
        ch "Rattia, hand me those."
        show rattia blank
        "I handed her all the items I had."
        "She looked around for a moment, and settled on the statue."
        ch "Here, I'll sit these here."
        "She did as she said, and looked at the items. They slowly started to release a steady pulse of light."
        ch "Huh. She must be here."
        ra blank "How do you know?"
        ch "I don't, but it seems to fit. A grave would be a great place to put her, where her light wouldn't be able to reach."
        "As she was saying this, it had steadily gotten stronger."
        ch "...Maybe we should take a few steps back."
        hide khir
        hide rattia
        with easeoutright
        hide chi
        with easeoutright
        
        "She grabbed our arms and pulled us away."
        "Just then there was a large flash of light, that made Khir and I flinch."
        with vpunch
        
        show mo normal at center:
            xzoom -1
        with Fade(0.1, 1.0, 0.5, color="#fff") #Flash effect
        stop music fadeout 1.0
        play music THE_LIGHT fadein 5.0

        "When we had looked up, I saw something rather beautiful."
        
        show rattia normal behind mo:
            xpos -100
        with easeinleft
        show mo normal behind chi:
            xpos 1100
        with easeoutright
        show chi sad at center:
            xzoom -1
        with dissolve
            
        ra "Mo?"
        mo smile "That's right."
        ch normal "Mother!"



#    if persistent.ending1_get and persistent.ending2_get and warn_teto and khir_alive: #⇒ BPE ENDING:
    if warn_teto and khir_alive: #⇒ BPE ENDING:
        show chi normal at center
        show rattia normal:
            xpos -100
        with dissolve
        #play music THE_LIGHT fadein 5.0
        show mo normal behind chi:
            xzoom -1 xpos 700
        #with Fade(0.1, 1.0, 0.5, color="#fff") #Flash effect
        
        mo shocked "Oh, Chi, you look a bit worse for the wear."
        show chi normal:
            xzoom -1
        with dissolve
        mo regretful "I'm sure I caused a lot of trouble."
        ch sad "Honestly?"
        ch annoyed "We've kind of been through a lot to get here again."
        show rattia normal
        show mo smile
        ch normal "But... You're here now."
        
        show rattia determined
        show chi sad
        mo thinking "Yes. It was very dark down there."
        mo angry "It's so embarrassing, having been caught by all these spirits."
        show mo normal
        "She then turned to me."
        mo "So, Rattia, I see you made it back."
        show chi normal
        ra normal "I did. I managed to keep everyone alive and... relatively unhurt."
        "I could see Major Terra giving me a look from the corner of my eye, but he didn't say anything."
        ra "I can't thank you enough."
        show rattia panic
        show chi ouch
        show mo shocked
        with dissolve
        play music CHIMES_FULL_2 fadein 2.0
        mo "Don't thank me yet."
        hide mo
        hide chi
        hide rattia
        with dissolve
     
     
     
        ###Show multiple Unclean Spirits:
        #Show multiple Unclean spirits:
        show unclean normal as ghost1 at floating:
            xpos -50 xzoom -1
        show unclean normal as ghost2 at floating:
            xpos 180 xzoom -1
        show unclean normal as ghost3 at floating:
            xpos 350 xzoom -1
        show mo normal at right behind ghost3:
            xzoom -1
        with dissolve
        mo angry "These creatures are lurking about, waiting to drag me down again."
        mo normal "I beg to differ about that happening again."
        scene cg2 with fade #CG 2
        mo "Let's send these terrible creatures away."
        mo "They've done enough damage and..."
        mo "I think it's time that they kindly took their leave."
        "With that, she set loose a wave of  light."
        with Fade(0.1, 1.0, 0.5, color="#fff") #Flash effect
        stop music
        "Just like that, the feeling of the Unclean spirits being near went away."
        "And all was quiet."
        #CG 2 End
        scene grave with fade #CG 2 End
        show chi normal at center with dissolve
        show rattia determined behind mo:
            xpos -100
        with easeinleft
        show mo normal behind chi:
            xzoom -1 xpos 700
        with easeinright        
        play music THE_LIGHT fadein 2.0

        ra "Are they gone for good?"
        mo angry "Hm, no. More will appear later, I'm sure."
        mo normal "But as long as I'm there, I'll make sure that the night is safe."
        ch "And if she messes up and goes missing again, I'll go and get her!"
        mo "Yes, {i}thank{/i} you, Chi."
        "She turned back to me."
        mo smile "So, well done."
        ra normal "Thank you."
        mo "My pleasure."
        mo normal "Shall we take our leave, Chi?"
        ra blank "Oh, Chi... You're going?"
        ch "Yeah, but don't worry."
        ch "I'll come back and visit you~"
        ra normal "U-uh, yeah."
        ch flirty "You too, {i}Major{/i} Terra~"
        
        #hide mo
        
        kh "Sure, Chi."
        hide chi
        hide mo
        with Dissolve(2.0)
        show khir normal behind rattia:
            xpos 300
        with easeinright

        ####Mo/Chi fade/dissolve/pixellate/wte out?
        "With that, and a final wave, they disappeared."
        "I looked at Major Terra."
        ra "What now?"
        kh confident "Go back. Tell what happened."
        ra blank "Can...can we take a break first? I'm really tired."
        kh relieved "...Me too, Rattia."
        "Finally, we went back to town."
        "And I could finally close my eyes, and not do the same thing again."
        #scene cg3 with fade
        jump the_end #####End, BPE CG credits

    if khir_alive: #⇒ If Khir is alive, good end
        #⇒ Good Ending
        mo shocked "Oh, Chi, you look a bit worse for the wear."
        mo regretful "I'm sure I caused a lot of trouble."
        ch sad "Honestly?"
        ch annoyed "We've kind of been through a lot to get here."
        show rattia blank
        show mo shocked
        ch ouch "We lost someone along the way..."
        show chi sad
        "Chi gave me a sympathetic look, and I bit my lip hard."
        show rattia normal
        show mo regretful
        ch normal "But... You're here now, and Rattia and Khir helped get you back."
        show rattia determined
        show chi sad
        
        mo thinking "Yes. It was very dark down there."
        
        
        mo angry "It's so embarrassing, having been caught by all these spirits."
        mo regretful "It'll make people question my goddess status!"
        mo "And I made it even worse."
        hide mo
        show khir angry behind chi:
            xpos 300
        show rattia panic
        show chi ouch
        with dissolve
        play music CHIMES_FULL_2 fadein 2.0
        kh "Ma'am, that's all well and good, but..."
        hide khir
        hide chi
        hide rattia
        with dissolve
        
        #Show multiple Unclean spirits:
        show unclean normal as ghost1 at floating:
            xpos -50 xzoom -1
        show unclean normal as ghost2 at floating:
            xpos 180 xzoom -1
        show unclean normal as ghost3 at floating:
            xpos 350 xzoom -1
        show mo normal at right:
            xzoom -1
        with dissolve
        mo angry "Oh. Yes. {i}Those things again.{/i}"
        "When she said it like that, she sounded an awful lot like Chi."
        mo normal "I'll take care of this."
        #CG 2
        scene cg2 with fade
        #show mo normal
        mo "Let's send these terrible creatures away."
        mo "They've done enough damage and..."
        mo "I think it's time that they kindly took their leave."
        "With that, she set loose a wave of  light."
        with Fade(0.1, 1.0, 0.5, color="#fff") #Flash effect
        stop music
        "Just like that, the feeling of the Unclean spirits being near went away."
        "And all was quiet."
        scene grave with fade #CG 2 End
        
        show rattia normal behind mo:
            xpos -100
        with easeinleft
        show mo normal behind chi:
            xzoom -1 xpos 700
        with easeinright
        
        play music THE_LIGHT fadein 2.0
        mo "Now then."
        "She turned to Major Terra and me."
        mo "I think you both deserve a reward for so much trouble."
        hide mo
        show khir sad behind rattia:
            xpos 300
        with dissolve
        kh "We shouldn't be rewarded for something you should do to begin with."
        hide khir
        show mo smile at right:
            xzoom -1
        with dissolve    
        mo "Hee hee, maybe not."
        mo "But I want to show my appreciation. What would you like?"
        hide mo
        show khir surprised behind rattia:
            xpos 300
        with dissolve
        kh ". . ."
        "He looked like he didn't know what to say."
        show rattia determined
        "I frowned and thought back."
        "Raised my head and said-"
        show rattia scared
        ra "Can we do it over?"
        hide khir
        show mo thinking at right:
            xzoom -1
        with dissolve
        mo "I'm not sure what you mean?"
        ra "This... This whole thing."
        show mo shocked
        ra "Teto is dead, and Khir was really hurt."
        ra "I..."
        show rattia determined
        show mo thinking
        ra "That's not good enough."
        ra "I have to do better."
        hide mo
        show khir pained behind rattia:
            xpos 300
        with dissolve
        kh "Rattia-"
        ra "I made Teto a promise."
        ra "I have to keep my word."
        
        show chi annoyed at center
        with dissolve
        
        ch "Rattia, are you sure that's what you want?"
        ch "What if you don't manage to do it again?"
        ra "I'll manage."
        ra scared "Please, Mo."
        hide khir
        hide chi
        show mo regretful at right behind chi:
            xzoom -1 #xpos 1400
        with dissolve
        mo "I'm sorry, that's really not something I'm supposed to do."
        ra "Please. There's nothing else I want."
        ra "Because you were gone, someone died."
        ra "Please."
        mo thinking "...Very well."
        show rattia normal
        mo normal "You're right."
        
        mo smile "And while I'm not supposed to tamper with the timeline, I'll do this for you."
        ra normal "Thank you so much."
        mo "Please get ready."
        hide mo
        show khir normal behind rattia:
            xpos 300
        with dissolve
        
        "I turned to Khir."
        ra determined "I'll do better, Khir."
        
        kh confident "...No. You did all you could."
        ra "And it wasn't good enough."
        ra "I'll see you... A few days ago."
        hide khir
        show chi pained at right
        with dissolve
        "I turned back to Chi."
        ra scared "I'm sorry."
        show chi annoyed
        ch "Uh?! What are you apologizing to me for?"
        ra blank "I don't know. I can't tell anymore. I'm just sorry."
        ra normal "You were really nice. In the past, and maybe in a better future, let's be friends."
        ch normal "...You know what? I'd love that."
        ch flirty "Thanks, sweetheart~"
        
        hide chi
        show mo normal at right:
            xzoom -1
        with dissolve

        ra "I finally looked back at Mo."
        ra "I'm ready."
        # hide khir
        # show mo normal at right:
            # xzoom -1
        mo "As you wish."
        mo "Rattia, you're a very caring person. Don't let that change."
        ra "Thank you."
        scene black with fade
        "It faded to black."
        "As I floated backwards in the darkness of time, I let my eyes close."
        "I couldn't see anything, anyway."
        "Hopefully, when I opened then, I could do better."
        $ persistent.ending1_get = True
        jump the_end ####END Game
    
    else: #⇒ BAD ENDING
        show chi normal at center
        show rattia normal:
            xpos -100
        with dissolve
        play music THE_LIGHT fadein 5.0
        show mo normal behind chi: #at right:
            xzoom -1 xpos 700
        with Fade(0.1, 1.0, 0.5, color="#fff") #Flash effect
        
        mo shocked "Oh, Chi, you look a bit worse for the wear."
        show chi normal:
            xzoom -1
        with dissolve
        mo regretful "I'm sure I caused a lot of trouble."
        ch sad "Honestly?"
        ch annoyed "We've kind of been through a lot to get here."
        show rattia blank
        show mo shocked
        ch ouch "We lost a couple people along the way..."
        show chi sad
        "Chi gave me a sympathetic look."
        "I kept my face passive. What did it matter how I felt at this point, anyway?"
        show rattia normal
        show mo regretful
        ch normal "But... You're here now and Rattia, and her friend Terra had, helped get you back."
        show rattia determined
        show chi sad
        mo thinking "Yes. It was very dark down there."
        mo angry "It's so embarrassing, having been caught by all these spirits."
        mo regretful "It'll make people question my goddess status!"
        mo "And I made an even worse"
        
        show rattia panic
        show chi ouch
        show mo shocked
        with dissolve
        play music CHIMES_FULL_2 fadein 2.0
        ra "I don't mean to interrupt, but..."
        
        hide mo
        hide chi
        hide rattia
        with dissolve
        
        #Show multiple Unclean spirits:
        show unclean normal as ghost1 at floating:
            xpos -50 xzoom -1
        show unclean normal as ghost2 at floating:
            xpos 180 xzoom -1
        show unclean normal as ghost3 at floating:
            xpos 350 xzoom -1
        show mo normal at right behind ghost3:
            xzoom -1
        with dissolve
        mo angry "Oh. Yes. {i}Those things again.{/i}"
        "When she said it like that, she sounded an awful lot like Chi."
        "I almost wanted to laugh, but the feeling quickly faded."
        mo normal "I'll take care of this."
        scene cg2 with fade#CG 2
        mo "Let's send these terrible creatures away."
        mo "They've done enough damage and..."
        mo "I think it's time that they kindly took their leave."
        "With that, she set loose a wave of  light."
        with Fade(0.1, 1.0, 0.5, color="#fff") #Flash effect
        stop music
        "Just like that, the feeling of the Unclean spirits being near went away."
        "And all was quiet."
        scene grave with fade #CG 2 End
        #show chi normal at center with dissolve
        show rattia normal behind mo:
            xpos -100
        with easeinleft
        show mo normal behind chi:
            xzoom -1 xpos 700
        with easeinright        
        play music THE_LIGHT fadein 2.0

        mo "Now then."
        show mo regretful
        "She turned to me."
        show rattia blank
        mo "I'm sorry about your losses. Truly, I am."
        mo normal "But... I think you deserve a reward for so much trouble."
        "'We shouldn't be rewarded for something you should do to begin with.'"
        "I know that's what Khir would have said. He has-had strong morals that way."
        show rattia determined
        "I frowned and thought back."
        "Raised my head and said-"
        show rattia scared
        ra "Can I do it over?"
        show mo thinking
        with dissolve
        mo "I'm not sure what you mean?"
        ra "This... This whole thing."
        show mo shocked
        ra "Teto is dead, and Khir is dead."
        ra "No one... No one should be dead."
        ra "A-and..."
        show rattia determined
        show mo thinking
        ra "That's not good enough."
        ra "I have to do better."
        ra "I made Teto a promise."
        ra "I have to keep my word."
        ra "And Khir had always helped and believed in me, no matter what."
        ra "Not even when no else did."
        ra "I have to do better, for their sake."
        show chi annoyed at center
        with dissolve
        ch "Rattia, are you sure that's what you want?"
        ch "What if you don't manage to do it again?"
        ra "I'll manage."
        show rattia scared
        ra scared "Please, Mo."
        hide chi with dissolve
        show mo regretful
        mo "I'm sorry, that's really not something I'm supposed to do."
        ra "Please. There's nothing else I want."
        ra "Because you were gone, people have died."
        ra "One of them was very important to me. He was like family."
        ra "Please."
        mo thinking "...Very well."
        show rattia normal
        mo normal "You're right."
        mo smile "And while I'm not supposed to tamper with the timeline, I'll do this for you."
        ra "Thank you so much."
        mo "Please get ready."
        show chi pained at center
        with dissolve
        show mo normal
        "I turned to Chi."
        ra scared "I'm sorry."
        show chi annoyed
        ch "Uh?! What are you apologizing to me for?"
        ra blank "I don't know. I can't tell anymore. I'm just sorry."
        ra normal "You were really nice. In the past, and maybe in a better future, let's be friends."
        ch normal "...You know what? I'd love that."
        ch flirty "Thanks, sweetheart~"
        ch normal "Let's hope you bring them back."
        ra "I finally looked back at Mo."
        ra "I'm ready."
        mo "As you wish."
        mo "Rattia, you're a very caring person. Don't let that change."
        ra "Thank you."
        scene black with fade
        "It faded to black."
        "As I floated backwards in the darkness of time, I let my eyes close."
        "I couldn't see anything, anyway."
        "Hopefully, when I opened then, I could do better."
        $ persistent.ending2_get = True
        jump the_end ####END game