init -1:
    $ redefine_resources = False # When you add, delete or rename an image or music resource, change redefine_resources to True and launch the project

#Sprites:
    image chi angry = "sprites/chi angry.png"
    image chi annoyed = "sprites/chi annoyed.png"
    image chi flirty = "sprites/chi flirty.png"
    image chi normal = "sprites/chi normal.png"
    image chi ouch = "sprites/chi ouch.png"
    image chi pained = "sprites/chi pained.png"
    image chi sad = "sprites/chi sad.png"
    image khir angry = "sprites/khir angry.png"
    image khir confident = "sprites/khir confident.png"
    image khir normal = "sprites/khir normal.png"
    image khir pained = "sprites/khir pained.png"
    image khir relieved = "sprites/khir relieved.png"
    image khir sad = "sprites/khir sad.png"
    image khir surprised = "sprites/khir surprised.png"
    image mo angry = "sprites/mo angry.png"
    image mo normal = "sprites/mo normal.png"
    image mo regretful = "sprites/mo regretful.png"
    image mo shocked = "sprites/mo shocked.png"
    image mo smile = "sprites/mo smile.png"
    image mo thinking = "sprites/mo thinking.png"
    image rattia angry = "sprites/rattia angry.png"
    image rattia blank = "sprites/rattia blank.png"
    image rattia delighted = "sprites/rattia delighted.png"
    image rattia determined = "sprites/rattia determined.png"
    image rattia embarrassed = "sprites/rattia embarrassed.png"
    image rattia normal = "sprites/rattia normal.png"
    image rattia panic = "sprites/rattia panic.png"
    image rattia scared = "sprites/rattia scared.png"
    image rattia surprised = "sprites/rattia surprised.png"
    image teto confused = "sprites/teto confused.png"
    image teto exasperated = "sprites/teto exasperated.png"
    image teto happy = "sprites/teto happy.png"
    image teto normal = "sprites/teto normal.png"
    image teto sad = "sprites/teto sad.png"
    image unclean normal = "sprites/unclean normal.png"
#Sprite list for the gallery: 
    #$ gallery_ch_items = ["chi angry", "chi annoyed", "chi flirty", "chi normal", "chi ouch", "chi pained", "chi sad", "khir angry", "khir confident", "khir normal", "khir pained", "khir relieved", "khir sad", "khir surprised", "mo angry", "mo normal", "mo regretful", "mo shocked", "mo smile", "mo thinking", "rattia angry", "rattia blank", "rattia delighted", "rattia determined", "rattia embarrassed", "rattia normal", "rattia panic", "rattia scared", "rattia surprised", "teto confused", "teto exasperated", "teto happy", "teto normal", "teto sad", "unclean normal", ]


#BGs:
    image forest no_lamp no_items = "bg/forest no_lamp no_items.jpg"
    image forest no_lamp = "bg/forest no_lamp.jpg"
    image forest = "bg/forest.jpg"
    image grave = "bg/grave.jpg"
    image town no_items = "bg/town no_items.jpg"
    image town = "bg/town.jpg"
#BG list for the gallery: 
    #$ gallery_bg_items = ["forest no_lamp no_items", "forest no_lamp", "forest", "grave", "town no_items", "town", ]


#CGs:
    image cg1 = "cg/cg1.jpg"
    image cg2 = "cg/cg2.jpg"
    image cg3 = "cg/cg3.jpg"
#CG list for the gallery: 
    #$ gallery_cg_items = ["cg1", "cg2", "cg3", ]


#Music:
init -2 python:
    ATMOSPHERE = "music/Atmosphere.ogg"
    CHIMES_1 = "music/Chimes 1.ogg"
    CHIMES_FULL_2 = "music/Chimes Full 2.ogg"
    DEATH_IS_ETERNAL = "music/Death is eternal.ogg"
    REMOVED = "music/Removed.ogg"
#    THE_LIGHT_NO_PIANO = "music/The Light no piano.ogg"
    THE_LIGHT = "music/The Light.ogg"
    THEME = "music/theme.ogg"
    WIND_ATMOSPHERE_LIGHT = "music/Wind Atmosphere light.ogg"
    WIND_VOICE = "music/Wind voice.ogg"
    WIND = "music/Wind.ogg"
    pass
#Song list for the Music Room:
#    song_list=[]
#    song_list.append({"name":ATMOSPHERE, "title":"Atmosphere", "file":"music/Atmosphere.ogg", "author":"", "link":""})
#    song_list.append({"name":CHIMES_1, "title":"Chimes 1", "file":"music/Chimes 1.ogg", "author":"", "link":""})
#    song_list.append({"name":CHIMES_FULL_2, "title":"Chimes Full 2", "file":"music/Chimes Full 2.ogg", "author":"", "link":""})
#    song_list.append({"name":DEATH_IS_ETERNAL, "title":"Death Is Eternal", "file":"music/Death is eternal.ogg", "author":"", "link":""})
#    song_list.append({"name":REMOVED, "title":"Removed", "file":"music/Removed.ogg", "author":"", "link":""})
#    song_list.append({"name":THE_LIGHT_NO_PIANO, "title":"The Light No Piano", "file":"music/The Light no piano.ogg", "author":"", "link":""})
#    song_list.append({"name":THE_LIGHT, "title":"The Light", "file":"music/The Light.ogg", "author":"", "link":""})
#    song_list.append({"name":THEME, "title":"Theme", "file":"music/theme.ogg", "author":"", "link":""})
#    song_list.append({"name":WIND_ATMOSPHERE_LIGHT, "title":"Wind Atmosphere Light", "file":"music/Wind Atmosphere light.ogg", "author":"", "link":""})
#    song_list.append({"name":WIND_VOICE, "title":"Wind Voice", "file":"music/Wind voice.ogg", "author":"", "link":""})
#    song_list.append({"name":WIND, "title":"Wind", "file":"music/Wind.ogg", "author":"", "link":""})

#SFX:
    CLICK = "sfx/click.wav"
    CLOCK_TICK10 = "sfx/clock tick10.ogg"
    CLOCK_TICK3 = "sfx/clock tick3.ogg"
    CLOCK_TICK4 = "sfx/clock tick4.ogg"
    CLOCK_TICK5 = "sfx/clock tick5.ogg"
    CLOCK_TICK6 = "sfx/clock tick6.ogg"
    CLOCK_TICK7 = "sfx/clock tick7.ogg"
    CLOCK_TICK8 = "sfx/clock tick8.ogg"
    CLOCK_TICK9 = "sfx/clock tick9.ogg"
    FOREST_AT_NIGHT = "sfx/forest at night.ogg"
    GRAVEYARD = "sfx/graveyard.ogg"

#Script to redefine the images:
# !!! DO NOT CHANGE THE CODE BELOW THIS POINT !!!
init -1 python:
    if redefine_resources:
        with open(renpy.loader.transfn('define_resources.rpy'), 'rb') as f:
            s = f.read()
        f.closed
        pos = s.find('#Script to redefine the images')
        if pos>1:
            s=s[pos:]

        with open(renpy.loader.transfn('define_resources.rpy'), 'wb') as f:
            f.write('init -1:\r\n    $ redefine_resources = False # When you add, delete or rename an image or music resource, change redefine_resources to True and launch the project\r\n\r\n')
            
            f.write('#Sprites:\r\n')
            gal_list = '#$ gallery_ch_items = ['
            for file in renpy.list_files():
                if file.startswith('sprites/') and file.endswith('.png'):
                    name = file.replace('sprites/','').replace('/', ' ').replace('.png','')
                    img_str = 'image ' + name + ' = "' + file + '"'
                    f.write('    ' + img_str + '\r\n')
                    gal_list += '"' + name + '", '
            f.write('#Sprite list for the gallery: ' + '\r\n' + '    ' + gal_list + ']\r\n\r\n')

            f.write('\r\n#BGs:\r\n')
            gal_list = '#$ gallery_bg_items = ['
            for file in renpy.list_files():
                if file.startswith('bg/') and file.endswith('.jpg'):
                    name = file.replace('bg/','').replace('/', ' ').replace('.jpg','')
                    img_str = 'image ' + name + ' = "' + file + '"'
                    f.write('    ' + img_str + '\r\n')
                    gal_list += '"' + name + '", '
            f.write('#BG list for the gallery: ' + '\r\n' + '    ' + gal_list + ']\r\n\r\n')

            f.write('\r\n#CGs:\r\n')
            gal_list = '#$ gallery_cg_items = ['
            for file in renpy.list_files():
                if file.startswith('cg/') and file.endswith('.jpg'):
                    name = file.replace('cg/','').replace('/', ' ').replace('.jpg','')
                    img_str = 'image ' + name + ' = "' + file + '"'
                    f.write('    ' + img_str + '\r\n')
                    gal_list += '"' + name + '", '
            f.write('#CG list for the gallery: ' + '\r\n' + '    ' + gal_list + ']\r\n\r\n')
            
            f.write('\r\n#Music:\r\ninit -2 python:\r\n')
            song_list = ''
            import re
            for file in renpy.list_files():
                if file.startswith('music/') and (file.endswith('.ogg') or file.endswith('.mp3')):
                    name = file.replace('music/','').replace('/', ' ').replace('.ogg','').replace('.mp3','')
                    varname = re.sub('[^0-9a-zA-Z]+', '_', name)
                    varname = varname.upper()
                    my_str = varname + ' = "' + file + '"'
                    f.write('    ' + my_str + '\r\n')
                    song_list += '#    song_list.append({"name":'+varname+', ' + '"title":"'+name.title()+'", ' + '"file":"'+file+'", ' + '"author":"", "link":""})\r\n'
            f.write('    pass\r\n#Song list for the Music Room:\r\n#    song_list=[]\r\n' + song_list)
                    
            f.write('\r\n#SFX:\r\n')
            for file in renpy.list_files():
                if file.startswith('sfx/') and (file.endswith('.ogg') or file.endswith('.mp3') or file.endswith('.wav')):
                    name = file.replace('sfx/','').replace('/', ' ').replace(' ', '_').replace('.ogg','').replace('.mp3','').replace('.wav','')
                    varname = re.sub('[^0-9a-zA-Z]+', '_', name)
                    varname = varname.upper()
                    my_str = varname + ' = "' + file + '"'

                    f.write('    ' + my_str + '\r\n')
            f.write('\r\n')
        f.closed
        
        with open(renpy.loader.transfn('define_resources.rpy'), 'ab') as f:
            f.write(s)
        f.closed
